Hacking Installing Atmosphere with SX Core/Lite: Package1 seems corrupt!

ClementNerma

Member
OP
Newcomer
Joined
May 8, 2016
Messages
16
Trophies
0
Age
21
Location
Somewhere in France
Website
github.com
XP
100
Country
France
Hi there!

Due to the lack of updates for SX OS in the past months, and the fact it doesn't correctly support versions higher than 11.0.0 while I'm trying to play games requiring the 13.0.0 version, I decided to stop using SX OS and go to Atmosphere instead.

So I followed quite a few guides, but none of them worked. The best ones I've tried are https://rentry.org/AtmosphereSysNAND and https://rentry.org/mys8q, which have been recommended by multiple users.

The problem I have is that, I'm able to install Hekate with a patched boot.dat and boot on it without any problem, all features seem to work correctly (EmuNAND creation, BOOT0/BOOT1 dump, etc.)

But then when I launch Atmosphere from the home menu, be it on SysNAND or EmuNAND, I always get a "Package1 seems corrupt!" error.

Now, if I recall correctly I used ChoiDuJourNX a long time ago to update the console, and I never used Daybreak. SX OS runs on my SysNAND (I never play online and don't even connect to the internet so this was easier for me to setup the first time I did it).

I'm currently still able to dump my BOOT0/BOOT1 partition if that helps.

Does anyone know how I can solve this problem? Removing Hekate and Atmosphere and leaving SX's stock boot.dat and licence.dat only works fine, it makes the console boot on SX OS and everything still works correctly. But I'd like to move to Atmosphere if that's possible.

Thanks in advance for your help!
 

Alsusee

Well-Known Member
Newcomer
Joined
Jul 12, 2018
Messages
85
Trophies
0
Age
43
XP
526
Country
United Kingdom
You will need to edit your hekate_ipl.ini as I don't think its been configured correctly.

You can get the Fusee sigpatches from itotaljustice on github and then read the wiki part. It should help you with adding a link in the ini file to chainload Fusee
 

ClementNerma

Member
OP
Newcomer
Joined
May 8, 2016
Messages
16
Trophies
0
Age
21
Location
Somewhere in France
Website
github.com
XP
100
Country
France
You will need to edit your hekate_ipl.ini as I don't think its been configured correctly.

You can get the Fusee sigpatches from itotaljustice on github and then read the wiki part. It should help you with adding a link in the ini file to chainload Fusee
Mine contains the following:

[config]
autoboot=0
autoboot_list=0
bootwait=3
backlight=100
autohosoff=0
autonogc=1
updater2p=0
bootprotect=0

[Atmosphere CFW]
payload=bootloader/payloads/fusee.bin
icon=bootloader/res/icon_payload.bmp

[Warmboot Error Fix]
fss0=atmosphere/package3
stock=1
emummc_force_disable=1
icon=bootloader/res/icon_switch.bmp

I also don't think it's configured incorrectly given that Hekate does try to launch Atmosphere.
 
Last edited by ClementNerma,

ClementNerma

Member
OP
Newcomer
Joined
May 8, 2016
Messages
16
Trophies
0
Age
21
Location
Somewhere in France
Website
github.com
XP
100
Country
France
ChoiDuJourNX corrupts boot0 if you had previously used that to update your sxos emunand. I generated a fresh emunand for use with Atmosphere for this reason.
Indeed I did that a long time ago to go to HOS 11.0.0. I also tried to generate an emuNAND from Hekate but it didn't work either :|

I still get the same error message:

A fatal error ocurred whilewhen running Fusée.

Package1 seems corrupt!

Press POWER to reboot.
 
Last edited by ClementNerma,
General chit-chat
Help Users
  • No one is chatting at the moment.
    KennieDaMeanie @ KennieDaMeanie: Eh I have too many Sony consoles I can already emulate Ps2 on